Bug 1007825 - Build & Deploy should automatically save changes
Build & Deploy should automatically save changes
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: ER5
: 6.0.0
Assigned To: Jan
Zuzana Krejčová
:
Depends On:
Blocks: bpms6_ux/brms6_ux
  Show dependency treegraph
 
Reported: 2013-09-13 07:59 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:17:54 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-09-13 07:59:05 EDT
Description of problem:
It would be nice if clicking Build & Deploy in the Project Editor also automatically saved changes made there.

Example use case: User wants to deploy an updated version of a project. He updates the project, raises the project version to mark this and hits Build & Deploy right away. The change to the project version is saved automatically.
Comment 1 Prakash Aradhya 2013-09-16 22:18:02 EDT
Internal Whiteboard: Beta Blocker → Blocker
Not critical for Beta, but need to address for GA
Comment 2 Edson Tirelli 2013-09-30 18:25:24 EDT
Probably should ask for user confirmation to save or discard the changes.
Comment 6 Jan 2013-10-09 11:37:40 EDT
Implemented as per Comment 2; i.e. the user is asked if he wants to save the project pom before building. Also added a popup notification after saving, similar to the one that appears at the top of the screen after building.
Comment 7 Zuzana Krejčová 2013-10-15 04:22:15 EDT
It either does not work or didn't get into the product for ER4. I see no change from ER3.
Comment 8 Edson Tirelli 2013-10-15 09:21:43 EDT
Based on the date this issue was fixed (2013-Oct-09), this would was not included in the ER4 build (2013-Sep-27th + specific cherry-picked commits).

I am setting this back to MODIFIED and it will be available in the next build (ER5?).
Comment 9 Zuzana Krejčová 2013-12-09 12:47:02 EST
Verified with ER5.

Note You need to log in before you can comment on or make changes to this bug.